
QGIS Application - Bug report #3080

Tiresome message when searching CRS

2010-10-04 04:17 PM - Volker Fröhlich

Status: Closed

Priority: Low

Assignee: nobody -

Category: Projection Support

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13140

Description

How to reproduce:

- Open Project Properties

 - Start typing in the find field

 - Stop typing and try to change any of the three search criteria (Authority, Name/ID, Deprecated)

A message pops up:

I think this message is not necessary and it slows you down.

I also think it would be handy to have "Name" pre-selected instead of "ID".

Associated revisions

Revision 1b645a3e - 2010-10-05 01:34 AM - Jürgen Fischer

fix #3080

	

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@14332 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision bc1966b2 - 2010-10-05 01:34 AM - Jürgen Fischer

fix #3080

	

git-svn-id: http://svn.osgeo.org/qgis/trunk@14332 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-10-04 04:34 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed
http://svn.osgeo.org/qgis/trunk/qgis@14332
http://svn.osgeo.org/qgis/trunk@14332


fixed in commit:bc1966b2 (SVN r14333).

#2 - 2010-10-05 01:20 AM - Borys Jurgiel

Seems JEF implemented the first part only, what makes me happy.

	

For a future discussion: -1 for the Name as default. I believe we generally know our EPSG codes and are able to type them in < 1 sec. It's kinda

"automatic" operation, so it would be very unhandy and irritating to change the combo from Name to Id all the time. If you don't know the EPSG code, the

operation is slower anyway, so switching from Id to Name doesn't hurt as much as in the former case.

#3 - 2010-10-05 01:30 AM - Giovanni Manghi

	

For a future discussion: -1 for the Name as default.

	

agree

#4 - 2010-10-05 12:46 PM - Volker Fröhlich

Yes, I agree as well! It's the only place to enter the id directly. I didn't think about that.
